Docs
Monitors

Update Monitor

PUT
/api/monitors/{monitor_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key from the app, starting with upk_

Path Parameters

monitor_id*Monitor Id
Formatuuid

Request Body

application/json
  1. body
type?Type
Default"website"
Value in"website""api""ping""port""ip""ssl""dns""domain""heartbeat""logs"
name*Name
Length1 <= length <= 80
target*Target
Length1 <= length <= 2048
interval?Interval
Default"5m"
Value in"1m""5m""15m""30m""1h""1d"
port?|null
method?Method
Default"GET"
Value in"GET""POST""PUT""PATCH""DELETE""HEAD"
headers?
Propertiesproperties <= 20
body?|null
record_type?Record Type
Default"A"
Value in"A""AAAA""CNAME""MX""NS""TXT""SOA""PTR""SRV""CAA"
labels?array<string>
Itemsitems <= 10
group?string|null
alert_after?Alert After
Range1 <= value <= 5
Default1
alert_channel_ids?array<>|null
alert_email?Alert Email
Defaulttrue
alert_telegram?Alert Telegram
Defaulttrue
quiet_start?string|null
quiet_end?string|null
quiet_tz?string|null
alert_reminder_minutes?|null
escalate_after_minutes?|null
escalate_channel_ids?array<>
Itemsitems <= 50
expiry_alert_days?array<integer>|null
timeout_s?|null
retries?|null
ignore_tls?Ignore Tls
Defaultfalse
status_min?Status Min
Range100 <= value <= 599
Default200
status_max?Status Max
Range100 <= value <= 599
Default399
slow_ms?|null
body_contains?|null
body_not_contains?|null
json_rules?array<>
Itemsitems <= 5
header_rules?array<>
Itemsitems <= 5
period?Period
Default"5m"
Value in"1m""5m""15m""30m""1h""6h""12h""24h"
grace?Grace
Default5
Value in151560
warn_days?|null
logs?|null
placement?array<>
Items1 <= items <= 7

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'https://upty.io/api/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "target": "string"}'
Example Response
null